2002-10-28 20:30  cpinkham

	* Fixed bug with code that limited number of linefeeds in a message.
	  Hasn't worked since ???.
	* Added code to display friends/buddy status change messages even if
	  they aren't in the room at the time.
	* Changed all occurances of alias_everyone and alias_user to
	  cmd_value1 and cmd_value2.
	* Converted alias/command code to not require both values and to
	  only save filled-in values in the command file.  Also will only
	  save first value if 2nd is identical.

2002-10-27 16:19  cpinkham

	* Converted ~/.gyach directory to new standard for *nix Yahoo! clients
	  to use ~/.yahoorc/gyach.  Also uses ~/.yahoorc/commands for aliases
	  and ~/.yahoorc/ignore for ignored user list.
	* Added code to keep 10 backup copies (numbered 0-9) in
	  ~/.yahoorc/gyach/backups.  Backup-ed files are: gyachrc, ignore, and
	  commands.
	* Fixed bug in code that was assuming emote at beginning of line was
	  a smiley even if it wasn't followed by a space.  Space is required now.

2002-10-26 11:50  cpinkham

	* Added ability to put ':' in an alias to make the alias an emote.  This
	  is in prep for implementing the propose alias/command file chat
	  standard for *nix Yahoo! clients.
	* Added code to un-mute a remote user if they are both muted and ignored
	  and the Gyach user wants to un-ignore them.

2002-10-25 17:34  cpinkham

	* Added code to change user's outgoing color if they are in transparent
	  background mode.  If user's color is real light, it will be set to
	  black instead so that it will show up on remote user's screens
	  since most clients supporting color have a white background.
	* Fixed bug which would not update user count and user status counts
	  in bottom status bar sometimes.

2002-10-23 12:15  cpinkham

	* Added optional highlighting of friends/buddies messages in chat room.
	  Their names will appear in green instead of red when they post.

2002-10-22 21:00  cpinkham

	* Total re-layout of setup screen using tables which can be resized
	  instead of sticking to fixed-size layout of GtkLayout widget.  This
	  should cure problems with people who use themes with different size
	  fonts. Never should have used GtkFixed/GtkLayout to begin with.
	* Commented back out code that sets font on chat entry box.  Causing
	  coredumps for some users.  Can't reproduce, so disabling.

2002-10-21 20:00  cpinkham

	* Rewrote part of get_setup_options() dealing with splitting/interpretting
	  font name into family and size.  Believe this was causing coredumps for
	  random people.
	* Added code to set text entry box to use the same font the user selects
	  for their chat text.  This allows people to resize if they have large
	  or small screens.

2002-10-18 18:35  cpinkham

	* Turned back on url highlighting even if "Show user colors" is turned off.

2002-10-16 12:15  cpinkham

	* Added code to reset user's last comment if we un-ignore or un-mute
	  them.  This makes it so they don't get re-autoignored or muted
	  if they do the same thing right away, it forces the ignore_on_mult
	  counter have to expire again.
	* Fixed bug which was causing Gyach to not display chatter list when
	  joining rooms.  Was looking for field which Yahoo doesn't send sometimes.
	* Added code to process additional Cookie packets (type 0x55) with
	  friends list in them for users with really long friends lists that
	  get split up over multiple packets.

2002-10-15 20:30  cpinkham

	* Added option to auto-indent wrapped lines of text to make it easier
	  to see the distinction between comments.
	* Added Bold and Italic buttons to color/smiley selection dialog.  They
	  send <b></b> and <i></i> respectively and set the cursor in the
	  middle of the start/end tags.

2002-10-14 19:45  cpinkham

	* Added color & smiley/emoticon selection dialog for pasting color/smiley
	  codes into chat text you are typing.
	* Fixed bug in code that tried to display ! and !! commands in a
	  fixed-width font.  Bug would display username in fixed-width also
	  sometimes.
	* Modified ct_append_fixed() function to use current font pitch when
	  setting the fixed width font and pitch.
	* Added automated-reply message when a PM/user is auto-ignored for
	  "first post is PM" or "url from user not in room"

2002-10-14 00:05  cpinkham

	* Added /me as an alias to /emote.

2002-10-12 23:45  cpinkham

	* Changed code to only check auto-mute on multiple posts if the user
	  was not auto-ignored for the same post.  Also applies to PMs and
	  enter/leave messages.

2002-10-11 21:45  cpinkham

	* Created gyach_[emote|think|comment|away|back] wrapper scripts to
	  ymsg_* equivalents to eliminate external dependencies from
	  yahoochat.c.  yahoochat.[ch] can now be used as an external library
	  with the md5 and crypt sources.
	* Added code to ignore PM's of user status changes for now.
	* Fixed bug when compiled under cygwin.
	* Added code to check for smileys/emoticons at beginning of line
	  before assuming line starting with a ':' is an emote.

2002-10-08 21:00  cpinkham

	* Changed version to 0.9.0 and released.

2002-10-08 20:30  cpinkham

	* Added code to trigger auto-ignore/mute if user sends you an invite
	  message to the same room X times in a row where X is the
	  auto-ignore/mute on multi-posts setting.
	* Added code to underline http:// and ftp:// urls when using Gtk v2.

2002-10-07 19:00  cpinkham

	* Added vpaned chat text window when compiled against Gtk v2.  This
	  allows the user to split the chat text window in two and scroll back
	  the top section.  If the text window is split, the CTRL-F, CTRL-G,
	  and /find commands will scroll the top window instead of scrolling the
	  bottom window.  When split the bottom window will always auto-scroll
	  down to the bottom when new chat text is received.
	* Fixed bug which would not show users as ignored/muted if they went
	  away and came back sometimes.
	* Fixed another bug in chat_motion_notify for gtk2 code that would
	  free up an allocated variable twice on rare circumstances causing
	  a segfault down the line.

2002-10-06 20:15  cpinkham

	* Added ability to use ! and !! commands in PM sessions.

2002-09-30 - 2002-10-05  cpinkham

	* Added ability to compile with Gtk+ v2.0.x.  This uses the GtkTextView
	  widget for the chat text, PM session text, and helpbox text.
	* Added ability to display graphical smileys/emoticons as well as
	  in-line avatars when using Gtk+ v2 and GtkTextView widget.
	* Added ability to force compilation with Gtk+ v1.2.x even if Gtk+ v2.0.x
	  exists by specifying --disable-gtk_v2 at configure time.
	* Fixed bug in mute_check(), it was checking the ignore_hash instead of
	  the mute_hash table.
	* Separated out building of tab completion list into its own function to
	  simplify code and make changes easier.
	* Added preliminary ability to do tab-completion of filenames when
	  executing a ! or !! command.
	* Replaced GtkFixed widgets on setup screen with GtkLayout widgets to
	  workaround bugs/problems with GtkFixed.
	* Added code to clear chatter list when disconnecting via menu,
	  /disconnect, or when logged out by yahoo.
	* Added code to process 2nd and following room join packets that list
	  users in the room since yahoo sometimes splits the chatter list up
	  into multiple packets.
	* Fixed buffer underflow problem in chat_motion_notify() that could
	  cause coredumps occasionally.

2002-09-29 19:09  cpinkham

	* Added commands and aliases to list of items that can be tab-completed.
	* Fixed Gyach icon, wasn't displaying since ????.
	* Added code to not auto-ignore for "first post is url" if the first
	  post contains the Gyach or Curphoo links.

2002-09-29 16:28  cpinkham

	* Changed version to 0.8.5 and released.

2002-09-27 23:45  cpinkham

	* Fixed bug in history.c with too small buffer variable.

2002-09-25 23:01  cpinkham

	* Added ignored user count to status bar message showing current
	  room name and user count.

2002-09-24 22:41  cpinkham

	* Changed auto-ignored on multiple posts message to show what the
	  user kept saying that got them auto-ignored.
	* Rewrote code to keep track of last user's comments so they are
	  stored in a GHashTable instead of the user list window.  This
	  allows tracking of users even after they enter/leave the room
	  multiple times and allows auto-muting and auto-ignoring of
	  users for enter/leave bombs.
	* Converted ignore and mute lists to GHashTable to speed lookups
	  rather than searching 1000+ links in a linked list for each comment
	  to the room.
	* Added GHashTable regex_hash to store precompiled regex structures
	  rather than compiling and freeing each regex for each comment to
	  the room.
	* Added auto-ignore option for "First Post from user is a URL".
	* Added auto-ignore option for "First Post from user is a PM".
	* Added auto-ignore option for "PM w/ URL from user not currently in room".

2002-09-23 20:23  cpinkham

	* Created gyach_int.c, users.[ch], and util.[ch] and separated out
	  applicable functions from gyach.d and main.c into the new files.
	* Fixed bug in gyach_g_list_free;

2002-09-22 21:45  cpinkham

	* Changed all occurances of "emotion(s)" into "alias(es)" in code.
	  Since they can be for anything not just emotes.
	* Created ignore.[ch], friends.[ch], history.[ch], and aliases.[ch]
	  and separated out applicable functions from gyach.c and main.c
	  into the new files.
	* Added regex_match() function and use it to test user / commands
	  to allow shortcuts like /ig for /ignore, etc..

2002-09-20 20:15  cpinkham

	* Added in check for gdk-pixbuf into configure and code to use
	  gdk_pixbuf_* routines for displaying and scaling profile pictures
	  and avatars.  If gdk-pixbuf is found it will be used, otherwise
	  the old method of using ImageMagick's convert will be used to
	  first convert and scale the image to a properly sized .xpm file.
	* Fixed proxy code so main chat connection can go through HTTP 1.1
	  CONNECT proxy if supported by the proxy server.
	* Changed subst_escs() function so you can type "\n" to do a CR/LF in
	  your chat text, and "\\n" to display "\n" in your chat text.
	* Added "curphoo" to test for urls, opens curphoo website in browser.
	* Added "Gyach" to test for urls, so if cursor is over the word
	  "Gyach", it is a clickable link to GYACH_URL (defined in gyach.h).
	* Fixed bug in url detection code.  Was ignoring parts of a url after
	  a '#' sign.
	* Changed regex auto-ignore check to support extended regular
	  expressions as well as basic.
	* Added /regex_test command to test regex before making live.  Also
	  will query a text string against current regex list to see if it
	  matches any.
	* Split /help into /help and /help_full.  Only main commands are
	  displayed in /help.  Most/all are displayed with /help_full.
	* Added message to tell user when invalid / command is typed instead
	  of sending blank message to the room.

2002-09-19 18:45  cpinkham

	* Fixed case sensitivity problems in avatar code.  Previously only
	  worked with all lowercase avatar names.

2002-09-18 21:11  cpinkham

	* Changed version number to 0.8.4 and released.

2002-09-18 19:45  cpinkham

	* Rewrote room list fetching code to use newly found URLs:
	  http://chat.yahoo.com/c/roomlist/catfeed.html and
	  http://chat.yahoo.com/c/roomlist/feed.html which are much easier
	  to parse than the regular newlist and auidx pages.
	* Fixed bug in "You see here:" message when entering room.  The list
	  of room users would occasionally show users from the last room you
	  were in.
	* Fixed PM windows so urls are now single-clickable same as main chat
	  room window.
	* Modified chat text display routine to try to display /exec-ed and
	  /execlocal-ed text in a fixed width font for readability.
	* Fixed /ver command so it always shows in correct colors even if user
	  has their own color to send their text in.
	* Modified /exec and /execlocal code to support timeout in case the
	  specified command doesn't return in 3 seconds.

2002-09-17 21:20  cpinkham

	* Changed PM receive code to not popup a window if user is auto-ignored
	  and "PM in separate windows" is set.  The old way would popup a
	  window for auto-ignored messages if you had "Display messages before
	  auto-ignoring" set.
	* Fixed URL recognition code for single-clicking and for URL highlighting
	  to recognize urls of the form .+\...+\...+ for matching URLs like
	  www.whatever.org/files.html, etc..
	* Updated room list and profile fetching code to use proxy if one is
	  configured on setup screen.
	* Fixed bug in code that was causing Gyach to not detect whether the
	  user had been logged off by Yahoo instead of initiating a logoff.
	  This sequence would occur if you logged on with another client or
	  another copy of Gyach and it would cause Gyach to start consuming
	  100% cpu.
	* Fixed tab completion code so it preserves case of usernames currently
	  in the room.  Previously it had tab-completed names as all lowercase.
	* Added missing comma in pixmaps/debug.xpm which was causing coredumps
	  on some systems.
	* Fixed CTRL-F and CTRL-G search so that they scroll the chat text
	  window to the found text.

2002-09-16 20:25  cpinkham

	* Added ~/.gyach/history file containing chat command history.  Useful
	  for testing at least when testing commands.
	* Added buttons to setup screen to automatically set the browser command
	  for the following browsers: netscape, mozilla, opera, and konquerer.

2002-09-14 19:54  cpinkham

	* Added CTRL-F (find text) and CTRL-G (find next) buttons to chat
	  entry box for searching for text in chat text box.
	* Added /find [text] command for searching for text.
	* Added single-click urls and url cursor highlighting.
	* Added code to highlight in blue ftp:// URLs.
	* Added CTRL-C to chat entry box to copy text from chat text box to
	  clipboard.
	* Added better default Gyach icon to pixmaps directory.  Thanks to
	  Gyach user ermalaiz for providing the new icon.

2002-09-12 18:45  cpinkham

	* Fixed bug which caused some rooms to not be displayed in the roomlist
	  if they were the child of a Category that had other sub-category
	  children instead of just rooms.
	* Hopefully fixed last bug in auto-ignore on multiple posts code.

2002-09-11 21:43  cpinkham

	* Changed version number to 0.8.3 and released.

2002-09-11 21:43  cpinkham

	* Fixed the font problem on some distributions by requesting
	  iso8859-1 instead of *-*.  Thanks to drakkoth for helping me debug.

2002-09-11 08:30  cpinkham

	* Merged in patch from Jacques Fortier to sort user list case
	  insensitive.
	* Fixed some memory leaks/bugs in g_list code in a few places.
	* Added messages to auto-ignore and auto-mute cases to show user
	  why the other user was ignored/muted.  Will display matching regex
	  or the count if user posted same thing multiple times.
	* Fixed big bug in 0.8.1 & 0.8.2 released causing occasional segfaults.
	  Gyach wasn't initializing 3rd field of userlist when adding a new row.

2002-09-10 08:38  cpinkham

	* Fixed bug that caused friends list to not be parsed.
	* Added code to merge yahoo ignore list into local ignore list when
	  first logging into Gyach.
	* Added a space after each username in the list printed when you log
	  in to a room.  This allows usernames to be double-clicked and makes
	  them easier to read.
	* Added friends/buddies list to list of items that can be tab-completed.

2002-09-09 22:58  cpinkham

	* Added setup options to turn on displaying and sending of avatars.
	* Changed status bar to show current room name along with count of
	  users currently in room.
	* Added display Buddy On/Off-line messages to PM window if in private
	  chat with that user.

2002-09-08 22:25  cpinkham

	* Added new options to setup screen to only allow PMs from either
	  friends/buddies, users in current room, both, or all Yahoo! users.
	* Rearranged some setup screen options and created "Private Messages"
	  tab for PM-specific options.
	* Added spin control to set number of duplicate messages required to
	  trigger auto-ignore of a user.
	* Added auto-mute of a user option if they post more than X copies of
	  the same message in a row, where X is setable on the
	  Setup/Auto-Ignore tab.

2002-09-07 20:35  cpinkham

	* Fixed /invite send and receive.
	* Added ability to double-click a username in the chat text window
	  to display their Yahoo! profile page.  This is the chat text, not
	  the userlist.

2002-09-07 11:15  cpinkham

	* Changed version number to 0.8.2 and released.

2002-09-06 20:45  cpinkham

	* Added code to track each user's last comment separately so Gyach
	  better ignore multiple posts by a user.  Also reenabled
	  "ignore on multiple posts" and set to ignore on 4 dup posts for now.
	* Fixed bug in tab completion code.
	* Added code to remember last 10 users in chat room so their names
	  can be tab-completed also for /ignore, etc..  

2002-09-05 22:30  cpinkham

	* Added Packet Debugging toggle button to toolbar.
	* Fixed bug that caused coredumps occasionally when turning on/off
	  packet debugging from setup screen instead of Connection menu.

2002-09-05 18:00  cpinkham

	* Added back in mute_check() calls when deciding whether to display
	  remote user comments.  This was left out accidentilly when converting
	  from YCHT to YMSG.

2002-09-04 20:35  cpinkham

	* Added color selection dialog to setup screen.  This is for selecting
	  a custom color to be used when posting to the room.

2002-09-04 18:00  cpinkham

	* Updated commands.c so when local user goes away or comes back their
	  status icon is updated like when remote users' statuses change.
	* Gyach now hides the font selection widget on the setup screen
	  for windows users.
	* Fixed YMSG PM receive.  Previously ignored YMSG and only displayed YCHT.

2002-09-03 23:00  cpinkham

	* Merged in changes to allow compilation/running under cygwin using
	  normal "./configure && make" process.  Created README.Win32
	  with *.dll installation instructions.

2002-09-01 23:34  cpinkham

	* Added __sun__ check in gyach.h to eliminate warning when compiling
	  under Solaris w/ gcc.
	* Fixed /execlocal function so it appends a carriage return to the end of
	  the outputted text.

2002-09-01 22:24  cpinkham

	* Changed version number to 0.8.1 and released.

2002-09-01 18:50  cpinkham

	* Fixed bug in main.c handling cookies received from yahoo.  Previously
	  gyach would only handle/expect one cookie packet.  Now it handles as
	  many as yahoo sends and only sends the yahoo online packet once yahoo
	  sends the final cookie packet with the necessary fields.

2002-08-31 23:59  cpinkham

	* Changed version number to 0.8.0 and released.

2002-08-30 12:00  cpinkham

	* Removed yahoolib.c and yahoolib.h since YMSG protocol is supported
	  in yahoochat.c now.
	* Added number of users currently in rooms to roomlist screen.
	* Added :2, :3, :4, etc. rooms to roomlist screen.
	* Fixed bug in "Buddy logged on/off" messages where they were either
	  displayed twice or possibly not at all.
	* Fixed bug which caused coredump when a line output by /exec was
	  longer than 128 chars.
	* Set ymsg9_recv_data() to always append NULL to end of data to allow
	  easier manipulating/spliting.

2002-08-29 18:54  cpinkham

	* Fixed ! and !! in emotes.  The /exec function no longer forks
	  until I can get append_to_textbox() working from multiple threads.

2002-08-19 21:29  cpinkham

	* Changed version number to v0.7.7 and semi-published as a beta.

2002-08-19 21:28  cpinkham

	* Major rewrire of networking code.  Converted program to use YMSG
	  protocol instead of YCHT protocol.  Some features still broken
	  such as /invite and /roll, but osme that were broken in YCHT
	  such as /away, /think, /emote, are now working since YMSG supports
	  those.

2002-08-09 15:43  cpinkham

	* Added code to main.c and gyach.c as well as the interface to support
	  using a http proxy to fetch the login cookie.  This is necessary
	  for some users who have port 80 blocked by their ISP and must use a
	  proxy to surf the web.

2002-07-26 18:03  cpinkham

	* Added code in main.c to account for new 0x11 room enter packet when
	  a new user enters.

2002-06-25 08:17  cpinkham

	* Fixed bug in main.c that caused private chat window title to
	  appear to be blank.  Thanks Wokan...

2002-05-03 23:35  cpinkham

	* Added "Packet Debugging" checkbox menu item under Connection menu.
	  Toggles packet debugging on/off, but does not save settings.

2002-05-03 14:36  cpinkham

	* Added '!!' command (also /local) to execute a program and print
	  the output to the local display.

2002-04-28 18:26  cpinkham

	* Changed version number to v0.7.6 and released.

2002-04-28 18:00  cpinkham

	* Modified main.c file to work with new yahoo login cookie process.
	* Change all copyright notices to 2002 instead of 2001.

2002-03-08 22:55  cpinkham

	* Fixed bug where user couldn't edit chat server hostname in login
	  screen.

2002-02-14 10:04  cpinkham

	* Fixed bug in gyach.c causing ocasional infinite loops when a remote
	  user had italics turned on.  (with "<i>")  Bug and fix were found
	  by John Ferguson.

2001-06-01 00:05  cpinkham

	* Changed version number to v0.7.5 and released.

2001-05-31 19:30  cpinkham

	* Merged in roomlist patch from Ted Mielczarek enabling user rooms
	  and providing option to display adult rooms.
	* Fixed bug in setup screen which would not allow inserting items
	  in an empty list.
	* Modified interface to remove scrolledwindow and changed
	  gyach_int_*.c to create vertical scrollbar themselves.

2001-05-30 12:17  cpinkham

	* Added Gyach icon.

2001-05-29 20:42  cpinkham

	* Fixed display of "you have X emails" message from yahoo and added
		mail.yahoo.com link.
	* Added /online command to display time spent online (from last
	  connect).  Also added time online message to /ver command.

2001-05-29 15:57  cpinkham

	* Fixed bug which caused buffer overflow occasionally.
	* Added gyach_int.h and gyach_int_text.c files to create framework
	  for adding other user interfaces for chat text area.
	* Fixed bug in thread creation that was using memory previously freed.

2001-05-28 19:09  cpinkham

	* Fixed error assigning pointer in gyach.c which could cause infinite
	  loops in convert_tags() function.

2001-05-27 23:24  cpinkham

	* Fixed buffer overflow bug in gyach.c where variable wasn't being
	  incremented properly when processing "<url=" tags.

2001-05-18 16:22  cpinkham

	* Changed version to 0.7.4 and released.

2001-05-18 13:22  cpinkham

	* Changed code for parsing room entry packet since yahoo changed
	  packet field format.
	* Added /packet command to inject and process a file containing
	  raw packet data.  This file should be in the same format as
	  the output generated by turning on packet debugging.

2001-05-10 10:52  cpinkham

	* Added README.NetBSD for NetBSD users.

2001-05-10 09:49  cpinkham

	* Changed version to v0.7.3 and released.

2001-05-10 09:48  cpinkham

	* Added "Host: %s\r\n" line to fetch_url() function so roomlist
		would start working again.

2000-11-25 00:57  cpinkham

	* Added /back command to bring user back from away status.

2000-11-24 24:04  cpinkham

	* Changed version to v0.7.2 and released.

2000-11-24 20:21  cpinkham

	* Fixed bug which was causing disconnects every ?30? minutes.  When
		program was converted to use gtk_main(), the ping code was being
		short-circuited, so yahoo was disconnecting because it was not
		receiving pings from gyach.
	* Fixed bug which was causing auto-away to not work.  Same things as
		above, when converting to gtk_main(), the auto-away check was
		short-circuited andw wasn't being executed.
	* Adjusted default font size to make it large enough to be readable.
	* Added /reconnect command to disconnect & reconnect.
	* Modified /help command so help text is displayed in fixed-width font
		for ease in viewing commands & options.

2000-11-24 11:12  cpinkham

	* Fixed bug which would cause segfault if user saved settings but did
		not have any of their own favorite rooms defined (such as a first-
		time gyach user with no gyachrc file.

2000-11-23 22:53  cpinkham

	* Changed version to v0.7.1 and released.

2000-11-23 08:04  cpinkham

	* Fixed bug in command history that would cause coredump if user filled
		up command history to the limit and it had to free an entry.
	* Added code to store command history limit value in gyachrc file.
	* Fixed bug in command history which actually kept 1 less entry than
		the user had specified.

2000-11-23 04:14  cpinkham

	* Modified to use gtk_text_forward_delete() instead of 
		gtk_editable_delete_text() to delete text from chat window.
	* Fixed major memory leak bug in auto_ignore regex checking.

2000-11-22 20:55  cpinkham

	* Modified underline pixmap to align letter level with other pixmaps.

2000-11-22 20:05  cpinkham

	* Changed version to v0.7 and released.

2000-11-22 18:54  cpinkham

	* Added code to cause toolbar toggle buttons to be updated when settings
		were changed via the setup screen.
	* Added code to reset auto-away timer whenever packets are sent.

2000-11-22 12:19  cpinkham

	* Converted toolbar to pixmaps and added bold/italics/underline pixmaps.
	* Temporarily turned OFF closing of PM windows on disconnect because of
		occasional disconect problem.
	* Separated pixmaps in images.c into individual files in pixmaps directory.
	* Added friend online/offline messages to PM window if you are/were
		chatting with that user in PM.

2000-11-22 01:05  cpinkham

	* Fixed bug in function which built friend linked list after downloading.

2000-11-21 13:57  cpinkham

	* Added /friend command for adding user to or removing from friends list.
	* Modified to keep track of online friends in additional list.
	* Added function to disable/enable proper menu items when disconnecting
		and connecting.

2000-11-20 11:48  cpinkham

	* Added code to show friends list in setup screen so user can add/delete
		friends.
	* Added /friends command to show list of friends/buddies.
	* Added code to display friend/buddy status and on/off-line messages.

2000-11-19 14:31  cpinkham

	* Added "Auto Reconnect" option to setup screen to auto-reconnect in
		the event the user is disconnected from yahoo for some reason.

2000-11-18 18:01  cpinkham

	* Converted to use gtk_main() for event loop instead of having a while
		loop and having to call gtk_main_iteration() everywhere.
	* Activated Connect & Disconnect menu items.
	* Added code to append ":1" to room name when user trys to join a room
		but does not specify a number.
	* Added code to skip error message displayed if you try to join the same
		room you are in currently.
	* Added option to automatically ignore any user with a *.guest username.

2000-11-17 22:09  cpinkham

	* Fixed bug which would cause Gyach to go into a loop when receiving a
		certain bad packet.

2000-11-16 20:49  cpinkham

	* Changed version to v0.6.3 and released.

2000-11-16 20:48  cpinkham

	* Activated "Add To Favorites" menu item.

2000-11-16 11:51  cpinkham

	* Fixed bug in which would occasionally cause coredumps when adding
		usernames to the userlist on the main screen.

2000-11-15 21:22  cpinkham

	* Added code to ignore/mute dice rolls, status messages, and invites
		from users who are ignored or muted.
	* Fixed bug in mute code which would coredump when checking mute list if
		user was actually muted.
	* Added Yahoo! login list editor to the setup window.  The login list is
		not limited in size.
	* Added favorite rooms editors to the setup window.
	* Modified favorite rooms window to use list instead of hardcoded array
		of 10 rooms.  Number of favorite rooms is no longer unlimited.

2000-11-12 00:18  cpinkham

	* Added "," to url regex used to determine url when user double-clicks
		a url in chat text.

2000-10-26 19:41  cpinkham

	* Changed version to v0.6.2 and released.

2000-10-24 22:01  cpinkham

	* Added code to display number of aliases and ignored users read in
	  when doing a /reload.

2000-10-21 18:25  cpinkham

	* Modified username tab-completion code so it is case-insensitive.
	* Added option to setup screen to auto-raise PM windows when user
	  receives a PM.
	* Added option to close (or not close) roomlist window when user
	  joins a room.
	* Added option to display timestamp with chat messages.
	* Added option to display timestamp with PM messages in PM window.
	* Now sends cookie when retrieving roomlist.

2000-10-21 01:08  cpinkham

	* Changed version to v0.6.1 and released.

2000-10-21 01:07  cpinkham

	* Fixed bug where user's color settings were no longer saved correctly.
	* Fixed bug where using builtin profile window would cause gyach to
	  crash.
	* Changed default chat server to cs4.chat.yahoo.com.

2000-10-20 14:41  cpinkham

	* Changed version to v0.6.

2000-10-19 20:39  cpinkham

	* Fixed bug where some windows (such as roomlist and setup window) were
	  created modal so user could not type or do anything in main window
	  while they were open.
	* Modified code which downloads and displays roomlist so it only downloads
	  the sections the user is interested in instead of downloading the
	  complete roomlist at the beginning.  Now, when a user clicks to expand
	  the tree, it downloads that subcategory if it has not already been
	  downloaded.

2000-10-11 17:46  cpinkham

	* Modifed parsecfg.c to eliminate warning about "tmp" variable
	  possibly being used without being initialized when compiling on
	  my alpha.  Now defined as "long temp = 0;"

2000-10-10 23:36  cpinkham

	* Fixed bug which would cause a coredump if no ~/.gyach/gyachrc
	  existed.  This was evidently introduced by the code which was added
	  to remembered window positions.
	* Fixed bug in roomlist, caused by yahoo redoing their html roomlist
	  webpage.
	* Modified code to use mktemp() function to create temporary filename
	  for downloaded images so multiple copies of Gyach can be run
	  concurrently without causing problems.

2000-10-10 01:00  cpinkham

	* Modified Makefile.am and configure.in for FreeBSD compatibility.
	  Gyach now compiles on FreeBSD if the user specifies the proper
	  location of gtk-config.  There is a README.FreeBSD file to show
	  how this needs to be done.

2000-10-08 16:18  cpinkham

	* Added /alias and /unalias command so you can add or delete an alias
	  on-the-fly.

2000-10-08 00:08  cpinkham

	* Fixed bug which caused occasional crashes when yahoo spams users
	  about their yahoo messenger.  They were sending fields with invalid
	  lengths and overflowing a buffer.
	* Moved dump_packet() call from showYahooPacket() function to
	  yahooRecvData() so packets are shown immediately after reception
	  if debugging is turned on.

2000-10-06 00:53  cpinkham
	
	* Added "--enable-debug" option to configure to allow user to set
	  debug level for determining if debug messages get printed, default is
	  none (level 0).  Levels are defined in gyach.h.

2000-10-01 14:09  cpinkham

	* Added "Profile" button to PM chat window so user can view profile of
	  person they are chatting with.
	* Fixed bug in clickable url's, also start thread to fire off browser
	  command so main process doesn't hang.
	* Added code to display auto-ignored PMs inline with regular chat
	  text rather than opening a PM window if user has option set to
	  always display ignored messages the first time they trigger
	  auto-ignore.

2000-09-29 23:09  cpinkham

	* Fixed bug in profile window by reworking how the thread was used.
	  Instead of using a thread to both fetch and display profile info,
	  the temp thread just retrieves data now and once retrieved, the data
	  and image are displayed by the main thread.

2000-09-27 21:33  cpinkham

	* Reworked emote/alias code so user can specify multiple arguments using
	  $0, $1, $2, ... $9 for up to 10 arguments.  This replaces the %N
	  argument which was basically $0.  The program will automatically
	  convert existing %N codes to $0 when reading in the emotions.dat file.

2000-09-24 16:40  cpinkham

	* Added Status bar at bottom of main chat window to display messages
	  during login process and also name of current room.  Will add other
	  messages later as the need arises.

2000-09-23 19:58  cpinkham

	* Fixed bug which would cause coredumps when typing a really long
	  command because of a temp string buffer not being declared big enough.
	* Disabled picture display in profile window because of xlib errors
	  popping up occasionally.  Possibly because of threads.

2000-09-22 22:53  cpinkham

	* Added "Ignore" button to PM window so you can /ignore user and close
	  PM window at the same time just by clicking the button.
	* Added --disable-pixmaps option to configure.in so that user can
	  disable status pixmaps if they want.  This will probably never be
	  needed by anyone but me cause it's mainly for testing purposes.
	* Added code to work around formatting problem in yahoo roomlist html
	  page (had/has too many </ul> compared to <ul> tags).

2000-09-22 21:44  cpinkham

	* Added separate PM windows for private chats.
	* Added option on setup screen to disable separate PM windows if user
	  wants to see PMs right along with regular chat text.

2000-09-21 20:11  cpinkham

	* Fixed bug in favorites window where if you used a "Goto" button, you
	  couldn't open the favorites window anymore times.
	* Fixed show() function so colors were right using yahoolib.h attributes.

2000-09-17 15:05  cpinkham

	* Fixed history command list so it always resets current position to
	  end when ENTER is pressed (or send clicked).
	* Separated out /ver from /url command and added /gyach to display
	  version and url same as /ver command does.

2000-09-16 00:27  cpinkham

	* Changed code that reset italics/bold/underline/url settings in
	  append_to_textbox_color() so they are only reset if they are on
	  rather than setting at each call.  This was inefficient and slowing
	  things down, it is now faster.
	* Added filter command so all outgoing text can be sent through a
	  pre-filter program before being sent.  (ie, if you wanted to run
	  your text through a "jive" program to filter your text).

2000-09-11 20:42  cpinkham

	* Worked around bug where sometimes text would stick in italics or bold
	  or underline or url mode.  This was mainly seen as italics, sometimes
	  the ending tag is not recieved so text would stay in underline until
	  and end underline tag was recieved at some other time.

2000-09-10 18:27  cpinkham

	* Modified auto-back code to only bring you back if you are auto-away
	  and not just from any away status.
	* Fixed smiley regex that differentiates between ":" used at beginning
	  of line as an emote or a smiley.  Made it case sensitive.
	* Finally fixed colors.  Modified color settings to be the same as
	  the Yahoo! java client, also added Gray and Orange as color settings
	  available to use.
	* Added code so user's own messages are shown with their name in Blue
	  instead of Red like other user's messages.
	* Added Bold, Italic, Underline, and Blended toggle buttons to toolbar
	  so user can toggle settings for their text and also toggle whether
	  to show blended colors or not.
	* Turned ON showing of messages from yahoo saying you have email.
	* Believe fixed font problem with chatter name displaying in
	  proper font but chat text not.

2000-09-07 22:57  cpinkham

	* Modified regex used when double-clicking URLs to include "!" character.

2000-09-07 09:00  cpinkham

	* Uploaded v0.5 to website.

2000-09-06 19:24  cpinkham

	* Fixed bug in setup screen that showed up when adding a regex to list.

2000-09-05 22:56  cpinkham

	* Used html colorchart to correct errors in RGB color triplets for
	  colors in chat text box.
	* Changed default colors for messages when you enter a room to better
	  conform to correct RGB colors for ESC sequences.
	* Added option to setup screen to save main window position.
	* Added option to setup screen to (not)display message when auto-ignoring
	  based upon regex.
	* Added option to setup screen to (not)remember password.
	* Added option to setup screen to limit of linefeeds in a single message.
	  If message has more than limit, they are converted to pipe '|' chars.
	* Added checkbox and text entry to set auto-reply message to send when
	  user receives a PM while away.

2000-09-04 21:50  cpinkham

	* Added code to remember size of chat window and userlist when saving
	  settings.
	* Added code to trap delete_event so if user closes windows like setup
	  screen without using close button, they will be able to re-open later.
	  Previously a bug prevented re-opening the window if it was closed this
	  way.

2000-09-04 00:31  cpinkham

	* Fixed bug which wouldn't let you properly ignore users with "-" at
	  beginning of their login.
	* Added code to keep window from scrolling if user scrolls up and new
	  text is received.  Scrollbar will hold current position until user
	  scrolls back down to bottom of window.
	* Added code to create default emotions.dat file if one does not
	  exist already.
	* Fixed profile window layout problem so text is always left/top
	  aligned instead of centered on label.
	* Implemented /roll command.
	* Corrected /think command to send think instead of faking emote.
	* Turned OFF auto-centering of windows when they are first drawn, so
	  they will be placed however the default placement for the Window
	  manager is set.

2000-09-03 15:46  cpinkham

	* Fixed bug in code which displayed user status pixmap, didn't set
	  tmp_widget in some instances causing coredumps.
	* re-enabled ":" command to send emote after adding regex to determine
	  whether it's an emote or a smiley to send.

2000-09-03 04:00  cpinkham

	* Eliminated libgdk_imlib dependency, now uses gdk pixmap functions to
	  display user status pixmaps and "convert" is used to convert user
	  pic for profile screen into xpm.

2000-09-01 17:52  cpinkham

	* Added call to gtk_rc_parse() in main() to load ~/.gyach/gtkrc file
	  if it exists.
	* Added "Suppress multiple consecutive posts" option to suppress 2nd
	  (and subsequent) consecutive repeated posts by a user.  Works by
	  room, not user, so if another posts inbetween, the counter resets
	  for now.  Plan on making per-user at some time.
	* Changed call to color-allocation function to allow it to work better
	  on low-color displays (like my 256-color laptop).

2000-08-31 21:36  cpinkham

	* Added code to override force_lowercase setting when printing chatter
	  name at beginning of line.

2000-08-31 17:30  cpinkham

	* Submitted to Freshmeat.net appindex.

2000-08-31 01:10  cpinkham

	* Put up on webpage for download and afterwards changed version to v0.5.

2000-08-30 21:42  cpinkham

	* Converted ignored userlist array and auto-ignore regex array into
	  GList linked lists so they are virtually unlimited in size and
	  hopefully searches will be quicker as they are sorted lists.
	* Added /mute command to mute a user for an individual session.
	* Added /history command to list previous commands to screen and also
	  UP-arrow and DOWN-arrow keys set to scroll through command history.
	* Added option on setup screen for ping time in minutes.
	* Added option on setup screen for forcing all displayed text to
	  lowercase in main chat window.
	* Added option on setup screen to control size of command history
	  scrollback buffer.
	* Fixed bug in function which allows users to put "\n" (literally both
	  characters) in emotes/aliases to send a linefeed.

2000-08-30 00:27  cpinkham

	* Modified auto-back code so it only works when a packet is sent to
	  yahoo not when doing internal commands like /ignore, etc..  Whether
	  to come back when doing a /tell is still configurable via setup screen.
	* Fixed bug in /regex code that would sometimes forget to call regcomp()
	  function to setup regex for use with regexec().

2000-08-28 20:35  cpinkham

	* Added code to setup screen to save ignore username and regex lists.
	* Renamed check_emote() function to check_alias and made emotes/aliases
	  recursive.  Emotes/aliases can now also contain "/" commands and "!".
	* Modified "<url=" tag code to show url link followed by text in
	  parenthesis instead of just showing text.
	* Added /regex command to delete/add regex expressions to auto-ignore
	  users for.

2000-08-27 20:09  cpinkham

	* Added time to displayed compile date on About screen.
	* Added code to popup help textbox, now just need the textfile to load
	  into it.
	
2000-08-27 17:09  cpinkham

	* Fixed bug in double-click username to pm code, it would not put username
	  in correct box in PM window.
	* Fixed bug in auto-away code that would auto-away you instantly if you
	  disabled auto-away.
	* Added Auto-Away to status menu so user can see and set Auto-Away status.
	* Added code to strip <alt> and </alt> tags.

2000-08-27 01:00  cpinkham

	* Modified /ignore and /unignore commands to take multiple arguments
	  which are whitespace delimited, so you can /ignore multiple people
	  at once.

2000-08-25 20:42  cpinkham

	* Reworked code which displays messages, emotes, thinks, and room
	  enter/leave messages to certain things are always displayed in proper
	  colors no matter what user setting.
	* Changed font code to allow monospaced fonts to be displayed properly.
	* Changed code to always display usernames in same color when displaying
	  text messages so they are the same whether "show fonts" and "show colors"
	  are on or not.

2000-08-25 02:20  cpinkham

	* Put up on webpage for download and afterwards changed version to v0.4.

2000-08-24 20:49  cpinkham

	* Added "Show users entering/leaving" option to enable/disable showing
	  of messages indicating when users enter/leave the room.
	* Added default browser setting to setup screen.
	* Added Room List window.

2000-08023 20:11  cpinkham

	* Uploaded to webpage and afterwards changed version to v0.3.

2000-08-23 20:11  cpinkham

	* Added /pm command (same as /tell) and made /tell popup the PM
	  window if no arguments are given.

2000-08-21 01:14  cpinkham

	* Added code to strip font, snd, url, and fade tags if not already
	  processed by time text is printed to chat text box.
	* Modified clickable-url code to highlight/select complete URL that is
	  found before calling external browser and so that it uses a regex
	  to determine beginning/end of urls instead of isspace() macro.

2000-08-20 01:25  cpinkham

	* Added ability to put "\n" in emotions to insert a carriage return when
	  sending emote.

2000-08-19 02:18  cpinkham

	* Fixed /cls (/clear) command so it clears chat text window.
	* Added code to allow URLs to be clicked in chat text window.  Calls
	  browser to display url.
	* Added browser_command setting so user can set the default browser
	  command to use to display urls.  Now just need to create a way to
	  edit the command other than editing the config file by hand.

2000-08-17 23:45  cpinkham

	* Added "#ifdef SHOW_STATUS_PIXMAPS" statements to control whether
	  user status is shown as a pixmap or text.

2000-08-16 21:48  cpinkham

	* Fixed bug in /exec command, was overwriting end of buffer sometimes.
	* Added ability to set default font and size chat text is shown in.
	* Added ability to set color that text is sent in.

2000-08-14 21:22  cpinkham

	* Changed to v0.2
	* Added /profile command to show user's profile.
	* Turned on functionality of profile_viewer setting which determines
	  whether internal profile viewer or "netscape -remote" is used.
	* Fixed bug in away code which would occasionally cause looping between
	  away & here forever.
	* Added "Custom Message" setting to status menu item, uses custom
	  away message from setup screen.
	* Fixed about box bug where it would resize when visible instead of
	  before it was shown.
	* Added "Apply" button to setup screen that saves settings to memory
	  but not to disk like "Save" button.
	* Implemented bold, underline, and italics settings.
	* Started implementing colors, still need to work a couple bugs out.

2000-08-13 20:43  cpinkham

	* Activated Auto-login feature to automaticaly log user in if set.
	* Added code to interpret html-style tags (<i>, <b>, <COLOR>) and turn
	  them into ESC sequences before displaying.  Can be turned off via
	  "Show HTML" option on setup screen.
	* Implemented "Show Statuses" setting to allow user to enable/disable
	  showing of user status messages.  Userlist is still updated whatever
	  the setting.
	* Modified setup window and added code to fill in ignore list and
	  ignore regex list.
	* Implemented custom away message set in setup screen.  Used whenever
	  user types "/away" without a message.
	* Fixed bug in code that would bring user back when they were away and
	  typed something.  Caused segfault sometimes.

2000-08-13 02:00  cpinkham

	* Put up on webpage for download and afterwards changed version to v0.2.

2000-08-13 02:00  cpinkham

	* Created "Setup" menu item and setup window and moved settings on
	  menu to this window.  Added settings checkboxes for various other
	  settings and a color and font selection box.  Just need to fill in
	  the meat behind them now.  Took checkboxes off menu for settings.

2000-08-12 01:03  cpinkham

	* Added "\" ability at beginning of text entry to allow user to send
	  text like "/tell" as an example without it doing an actual /tell
	  command.
	* Added code behind "Save Current Text" and "Log to File" menu items.

2000-08-10 22:27  cpinkham

	* Added invisible status although not sure what it does.
	* Added "Packet Debugging" menu checkbox to turn on display of raw
	  packet info for debugging purposes.

2000-08-06 23:54  cpinkham

	* Added ignore.regex file containing list of regular expressions to
	  search for that will trigger auto-ignore of a user (such as bots)
	* Fixed /away command and added "Status" menu item which allows user to
	  change their status.  Menu doesn't support a custom message though,
	  that has to be done via the "/away command".

2000-08-06 00:35  cpinkham

	* Modified /ignore command to print out message indicating whether user
	  was ignored or un-ignored.  Also modified to print out list of ignored
	  users if no username is given.
	* Created /unignore command to remove a user from the ignore list.  This
	  essentially checks to see if they are ignored then toggles their
	  ignore status.

2000-08-05 00:30  cpinkham

	* Created an About box for the program.
	* Added tab completion for chatters names in the chat text entry box.

2000-08-03 21:43  cpinkham

	* Added code and #define statement to allow compilation using fork()
	  call before processing /exec command.  Turned off by default until
	  I can get it setup to not leave zombie processes hanging around.
	* Added "!" command to act like "/exec" by calling try_command().

2000-08-03 01:13  cpinkham

	* Added /follow command and "Follow" option to chat user popup menu.
	* Added code to set checkboxes on menu after reading in options from
	  config file.

2000-08-02 00:45  cpinkham

	* Added code to try to auto-detect urls and flag them if they are not
	  already flagged so they will who up properly in chat.

2000-07-31 23:45  cpinkham

	* Fixed bug in user status messages, now status changes are properly
	  displayed including custom status messages.
	* Added code to keep status pixmap updated when user status changes.

2000-07-31 00:21  cpinkham

	* Modified ignore_*() & find_user_row() functions to be case
	  insensitive.  Ignore list is filled with lower-case version of
	  names always.

2000-07-30 17:45  cpinkham

	* Changed name of program to gyach (pronounced g-yak like tach as in
	  tachometer).  Could stand for Gtk+ Yahoo CHat or "yak" as in talk. :)
	* Added /help command.
	* Fixed bug in emotes that broke emote to individual when moved to
	  commands.c.
	* Added code to cause /ignore to also ignore user entering/leaving room.

2000-07-29 17:30  cpinkham

	* Added /ignore feature with correct status shown and "ignore.list" file.
	* Added /invite feature and activated popup menu item.
	* Added /exec command.
	* Corrected bug which caused coredump if trying to use popup menu and
	  the user leaves while the menu is open and you then pick an action.

2000-07-28 23:00  cpinkham

	* Added status pixmap beside usernames in chatters box.
	* Created images.c file to contain bitmap images.

2000-07-27 22:30  cpinkham

	* Added commands.c and commands.h to separate out "/" commands into
	  their own file.
	* Added yahoochat.c and yahoochat.h files to start breaking out chat
	  interface code into a "library".

2000-07-26 23:50  cpinkham

	* Fixed configure and src/Makefile.in to correctly check for and handle
	  gdk_imlib instead of hardcoding "-lgdk_imlib" in src/Makefile.in.

2000-07-25 23:45  cpinkham

	* Added emotes editor.
	* Converted check_emote() function to query clist instead of in-memory
	  array.
	* Added link to yahmini webpage to AUTHORS file after talking with
	  yahmini author and getting permission to release yahmini code with
	  Gyahmini.

2000-07-21 23:08  cpinkham

	* Added code to call netscape to view user profile pages when selected
	  from user popup menu in chatter's box.

2000-07-20 23:48  cpinkham

    * Corrected Makefile.in, etc. to include all necessary files in
      distribution tarball including emotions.dat, sample.gyahminirc,
      yahmini2.tar.gz, parsecfg files, etc..
    * Filled in README, TODO, and AUTHORS files.
    * Fixed bug which was keeping login window open after initial login.

2000-07-20 11:56  cpinkham

    * Created this ChangeLog.

2000-07-19 23:59  cpinkham

    * Added login window.
    * Added config file ~/.gyahmini/gyahminirc to contain username list and
      favorite rooms list among other settings.
    * Moved emotions.dat datafile to ~/.gyahmini directory and created
      default datafile.  Still need to make ability for program to create a
      default file.

2000-07-18 23:59  cpinkham

    * Added /join command.
    * Added /goto command.
    * Added /think command.
    * Added popup menu for chatter listbox (most functions still not active).
    * Added PM functionality to popup menu.
    * Added option to display blended colors.

2000-07-17 23:59  cpinkham

    * Added menu & (empty) toolbar to top of program window.  Most menu items
      still inactive.
    * Added chatter listbox to show who is in the room.
    * Added emotes listbox with retrieval from emotions.dat datafile.

2000-07-16 23:59  cpinkham

    * Downloaded yahmini source and created a simple GTK+ frontend using
      Glade.  Display had just a text box for displaying the chat text,
      an entry box for typing a new comment and a send button to send the
      comment.  Turned off text interface with option to enable by
      #define-ing DUP_STDOUT in the source code.
